Update project settings. Owners, managers, and editors can update projects.
curl --request PATCH \
--url https://app.mavera.io/api/v1/projects/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"goal": "<string>",
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "<string>"
}
'{
"id": "<string>",
"object": "project",
"name": "<string>",
"goal": "<string>",
"workspace_id": "<string>",
"workspace_name": "<string>",
"thread_count": 123,
"mave_thread_count": 123,
"generation_count": 123,
"credits_used_14d": 123,
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.mavera.io/llms.txt
Use this file to discover all available pages before exploring further.
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Project ID
Project updated
Unique project identifier
project Project name
Project goal or description
Parent workspace ID
Parent workspace name
Number of chat threads in project
Number of Mave agent threads
Number of content generations
Credits used in the last 14 days
Credit usage alert threshold
Credit usage limit
Email for billing notifications
curl --request PATCH \
--url https://app.mavera.io/api/v1/projects/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"goal": "<string>",
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "<string>"
}
'{
"id": "<string>",
"object": "project",
"name": "<string>",
"goal": "<string>",
"workspace_id": "<string>",
"workspace_name": "<string>",
"thread_count": 123,
"mave_thread_count": 123,
"generation_count": 123,
"credits_used_14d": 123,
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}